PT BMS MIGRATION & ENHANCEMENT - Feature #1232

ESS Mutation
06/13/2022 11:14 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 06/13/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Pak Yusuf dan tim,

Mohon bantuannya untuk membuatkan fungsi untuk task berikut:

TaskID : cond_DivHead

(condDivHead_Yes) jika user yang create merupakan division head / regional head maka approval akan langsung masuk ke apv_hc

(condDivHead_No) jika user yang create bukan division head / regional head maka approval akan masuk ke apv_ds1

BizFlowID : MD_Mutation
Port : http://remote.minovais.com:31134/

Terima kasih.

History

#1 - 06/13/2022 11:52 AM - Fiona Avangeline Jonathan

- Description updated
Fiona Avangeline Jonathan wrote:
Dear Pak Yusuf dan tim,
Mohon bantuannya untuk membuatkan fungsi untuk task berikut:
TaskID : cond_DivHead
(condDivHead_Yes) jika user yang create merupakan division head maka approval akan langsung masuk ke apv_hc

(condDivHead_No) jika user yang create bukan division head maka approval akan masuk ke apv_ds1

BizFlowID : MD_Mutation
Port : http://remote.minovais.com:31134/

Terima kasih.

#2 - 06/14/2022 04:48 PM - ericsson ericsson

- Status changed from New to Assigned
#3 - 06/15/2022 08:48 AM - Mr. Yusuf
Fiona Avangeline Jonathan wrote:
Dear Pak Yusuf dan tim,
Mohon bantuannya untuk membuatkan fungsi untuk task berikut:
TaskID : cond_DivHead
(condDivHead_Yes) jika user yang create merupakan division head / regional head maka approval akan langsung masuk ke apv_hc

(condDivHead_No) jika user yang create bukan division head / regional head maka approval akan masuk ke apv_ds1

BizFlowID : MD_Mutation
Port : http://remote.minovais.com:31134/

Terima kasih.
Dicapture Flownya, lalu ditandai conditionnya yg dimaksud utk dokumentasi disini.

Sample datanya untuk yg memenuhi/tidak memenuhi kondisi itu employeeid berapa aja?
Dan siapa employeeid Division Head & Regional Head nya?

#4 - 06/15/2022 09:02 AM - Fiona Avangeline Jonathan
- File clipboard-202206150901-gecog.png added

Dear Pak Yusuf dan team,
berikut capture flow nya.
clipboard-202206150901-gecog.png

#5 - 06/15/2022 09:31 AM - Fiona Avangeline Jonathan
- File clipboard-202206150931-zekrn.png added
- File deleted (clipboard-202206150901-gecog.png)

#6 - 06/15/2022 10:21 AM - Mr. Yusuf

Fiona Avangeline Jonathan wrote in #note-5:
Untuk Condition Approval NHA (cond_NHA) di PCMWFDEFTASKCON cond_NHA_Yes2 Field ValueFromnya diisi 2, biar beda sama yg
cond_NHA_Yesi

#7 - 06/15/2022 10:31 AM - Fiona Avangeline Jonathan
Pak Yusuf and team,

Untuk Condition Approval NHA (cond_NHA) di PCMWFDEFTASKCON cond_NHA_Yes2 Field ValueFromnya diisi 2, biar beda sama yg
cond_NHA_Yes1 --> sudah diubah ya pak.

Berikut Contoh Employee ID

Division Head - 00009905
Regional Head - 00009913

Yang bukan merupakan regional head/division head - 00009909

Thanks.

#8 - 06/15/2022 10:47 AM - Mr. Yusuf

Fiona Avangeline Jonathan wrote in #note-5:
Setelah approve DS2 jika ternyata DS2nya adalah DIVHEAD/REGHEAD bgmn?

Fiona Avangeline Jonathan wrote in #note-7:

Pak Yusuf and team,

Untuk Condition Approval NHA (cond_NHA) di PCMWFDEFTASKCON cond_NHA_Yes2 Field ValueFromnya diisi 2, biar beda sama yg
cond_NHA_Yes1 --> sudah diubah ya pak.

Berikut Contoh Employee ID

Division Head - 00009905
Regional Head - 00009913

Yang bukan merupakan regional head/division head - 00009909

Thanks.

Setelah approve DS2 jika ternyata DS2nya adalah DIVHEAD/REGHEAD bgmn?
#9 - 06/15/2022 02:20 PM - Mr. Yusuf
Fiona Avangeline Jonathan wrote:
Dear Pak Yusuf dan tim,
Mohon bantuannya untuk membuatkan fungsi untuk task berikut:
TaskID : cond_DivHead
(condDivHead_Yes) jika user yang create merupakan division head / regional head maka approval akan langsung masuk ke apv_hc

(condDivHead_No) jika user yang create bukan division head / regional head maka approval akan masuk ke apv_ds1

BizFlowID : MD_Mutation
Port : http://remote.minovais.com:31134/
Terima kasih.

Untuk Task Condition yg Approvalnya ada DIV/REG Headnya, di PCMWFDEFTASK field TaskParameter diisi YN_IsDivRegHead.

Di PCMWFDEFTASKCON untuk ValueFromnya diisi:

0: creator/yg approve adalah DIV/REG HEAD

1: Atasannya Creator/Atasannya yg Approve adalah DIV/REG HEAD

2: Atasannya Creator/Atasannya yg Approve levelnya dibawah DIV/REG HEAD

#10 - 06/15/2022 02:20 PM - Mr. Yusuf
- Status changed from Assigned to QA Test

#11 - 06/15/2022 07:04 PM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to Fiona Avangeline Jonathan

#12 - 06/20/2022 03:18 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed
